### Name: ncvreg
### Title: Fit an MCP- or SCAD-penalized regression path
### Aliases: ncvreg
### Keywords: models regression

### ** Examples

## Linear regression
data(prostate)
X <- as.matrix(prostate[,1:8])
y <- prostate$lpsa

par(mfrow=c(2,2))
fit <- ncvreg(X,y)
plot(fit,main="a=3")
fit <- ncvreg(X,y,a=10)
plot(fit,main="a=10")
fit <- ncvreg(X,y,a=1.5)
plot(fit,main="a=1.5")
fit <- ncvreg(X,y,penalty="SCAD")
plot(fit,main="SCAD")

## Logistic regression
data(heart)
X <- as.matrix(heart[,1:9])
y <- heart$chd

par(mfrow=c(2,2))
fit <- ncvreg(X,y,family="binomial")
plot(fit,main="a=3")
fit <- ncvreg(X,y,family="binomial",a=10)
plot(fit,main="a=10")
fit <- ncvreg(X,y,family="binomial",a=1.5)
plot(fit,main="a=1.5")
fit <- ncvreg(X,y,family="binomial",penalty="SCAD")
plot(fit,main="SCAD")



